Bug 811954

Summary: [EAP6] deployment removal fails
Product: [Other] RHQ Project Reporter: Libor Zoubek <lzoubek>
Component: AgentAssignee: Stefan Negrea <snegrea>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: unspecified Docs Contact:
Priority: urgent    
Version: 4.4CC: hrupp, snegrea, theute
Target Milestone: ---   
Target Release: JON 3.1.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-03 11:10:47 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 707223    

Description Libor Zoubek 2012-04-12 07:40:40 EDT
Description of problem:I am not able to remove WAR deployment from JON, applies for Deployment and DomainDeployment


Version-Release number of selected component (if applicable):
Version: 3.0.1.GA
Build Number: bf8f49a:9fe6384
EAP6 ER4.1
jboss-as-7 from #1314

How reproducible:always


Steps to Reproduce:
1. create Deployment on standalone EAP6
2. wait 'till it's discovered
3. delete it
  
Actual results:deployment is removed from EAP, but resource remains in inventory. Also removal operation result is SUCCESS. Deployment then becomes OFFLINE and further attemts to remove it are  failing (wich makes sense, since deployment is no longer present on EAP)


Expected results: deployment is removed and also disappears from inventory


Additional info:
Comment 1 Heiko W. Rupp 2012-04-12 09:37:13 EDT
Does it stay in inventory (child of server) or only in the left nav tree?

Works for me on master
Comment 4 Stefan Negrea 2012-04-25 18:37:44 EDT
Retested this and it works with the latest code. The deployment is deleted from JON and EAP.
Comment 5 Libor Zoubek 2012-05-11 08:35:03 EDT
I've currently re-tested this on JON 3.1RC1, and the issue is still here. 

Steps to Reproduce:
1. create Deployment on standalone EAP6
2. wait 'till it's discovered
3. delete it
4. run manual autodiscovery on platform

After step 3. deployment is correctly removed from EAP and also from UI (removal operation is successfull)
After step 4. resource appears in inventory again, in agent.log there is an interesting message:

INFO  [InventoryManager.discovery-1] (rhq.core.pc.inventory.InventoryManager)- Sending [runtime] inventory report to Server... 
INFO  [InventoryManager.discovery-1] (rhq.core.pc.inventory.InventoryManager)- Syncing local inventory with Server inventory... 
INFO  [InventoryManager.discovery-1] (rhq.core.pc.inventory.InventoryManager)- Got unknown resource: 11531 
WARN  [ResourceContainer.invoker.daemon-67] (rhq.modules.plugins.jbossas7.DeploymentComponent)- Could not determine the location of the deployment - the content descriptor wasn't found for deploymentAddress{path: deployment=hello.war}.
Comment 6 Heiko W. Rupp 2012-05-16 11:09:25 EDT
This sounds a lot like a general sync issue in the plugin container and not especially as7-plugin related.
Comment 7 Stefan Negrea 2012-05-18 17:03:45 EDT
Extensively debugged and rested this however I cannot get it to fail with the latest code. There were several enhancements done to the discovery process that could have resolved this issue.

Please retest with the latest JON ER build. If it fails again, please attach the test application to this ticket. Might be something specific to the deployment used.
Comment 8 Libor Zoubek 2012-05-21 07:03:33 EDT
Version: 4.4.0.JON310-SNAPSHOT Build Number: 31b4844
Comment 9 Heiko W. Rupp 2013-09-03 11:10:47 EDT
Bulk closing of old issues in VERIFIED state.